This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 810078 - Nice to add an warning message about "virsh schedinfo <domain> --cap 65535" when use virsh connect to KVM hypervisor.
Nice to add an warning message about "virsh schedinfo <domain> --cap 65535" w...
Status: CLOSED NEXTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Kletzander
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 01:19 EDT by lei wang
Modified: 2014-07-06 15:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 04:17:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description lei wang 2012-04-05 01:19:37 EDT
Description of problem:
If cap option isn't supported on KVM host, it's nice to add an warning message about "schedinfo <domain> --cap 65535" when use virsh connect to KVM hypervisor.

Version-Release number of selected component (if applicable):
kernel-2.6.32-251.el6
libvirt-0.9.10-6.el6
netcf-0.1.9-2.el6
qemu-kvm-0.12.1.2-2.251.el6

How reproducible:
always

Steps to Reproduce:
Connect KVM host with virsh.
1.#virsh schedinfo rhel6w
Scheduler      : posix
cpu_shares     : 0
vcpu_period    : 0
vcpu_quota     : 0

2.#virsh schedinfo rhel6w --cap 65536
Scheduler      : posix
cpu_shares     : 0
vcpu_period    : 0
vcpu_quota     : 0

==> Nice to add an warning message to prompt user that is not supported.

Actual results:
Nothing to prompt user what happened or which option is changed.

Expected results:
Add an warning message to prompt user what happened.
Comment 5 Martin Kletzander 2013-04-03 02:52:38 EDT
Moving to POST:

commit e7cd2844ca2b0d716a520667eff286713963e2ec
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Fri Mar 15 14:42:42 2013 +0100

    Allow multiple parameters for schedinfo

Note You need to log in before you can comment on or make changes to this bug.